package com.steerinfo.ems.foldthevalues.mapper;

import com.steerinfo.ems.foldthevalues.model.FoldTheValues;
import com.steerinfo.framework.mapper.IBaseMapper;
import java.math.*;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

@Mapper
public interface FoldTheValuesMapper extends IBaseMapper<FoldTheValues, String> {
    /**
     * 获取页面数据
     * @param parmas
     * @return
     */
    List<Map<String, Object>> getDateForPage(HashMap<String,Object> parmas);

    /**
     * 丛质量数据中获取新的数据
     * @return
     */
    List<FoldTheValues> getNewData();

    /**
     *  获取最近最新的数据
     */
    FoldTheValues getNewOne(@Param("materialno") String materialno);

    /**
     *  查询今天没有指标值的数据
     */
    List<FoldTheValues> getNozbzData(@Param("clock") String clock);

    /**
     * 更新数据
     */
    int updateByClockAndMaterialno(FoldTheValues foldTheValues);

    /**
     * 查询已存在的数据
     */
    FoldTheValues getByClockAndMaterialno(FoldTheValues foldTheValues);

    /**
     * 查询月折标值数据
     */
    List<FoldTheValues> getDataForMoth(HashMap<String,Object> hashMap);

    /**
     * 获取物料得折标值
     */
    List<FoldTheValues> getDateForwl(HashMap<String,Object> hashMap);

    /**
     * 获取这个月的平均值项
     */
    public String getavgDate(HashMap<String,Object> hashMap);

    int updateByClock(FoldTheValues foldTheValues);
}
